#include<bits/stdc++.h>
using namespace std;
long long n,x,l=-20000000,d=20000000,br;
long long a[100000004];

int main(){
    cin >> n >> x;
      for(long long i=1; i<=n; i++){
        cin >> a[i];
       if(a[i]>l){
        l=a[i];//najveci
}
        if(a[i]<d){
        d=a[i];//najmanji
       }}

       if(l-x<0){
        br=x-d;
       }
      else if(x-d<0){
        br=l-x;
       }
       else if(l-x>x-d){
        br=2*(l-x)+(x-d);
         br=2*(x-d)+(l-x);
       }
       else if(l-x<x-d){

      br=2*(l-x)+(x-d);
       }
       else if(l-x==x-d){
      br=2*(l-x)+(x-d);
       }
       // cout << l-x << endl;
     //  cout << x-d << endl;
cout << br << endl;





return 0;
}